/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch das
 * Ministerium für Energiewende, Klimaschutz, Umwelt und Natur
 * Zentrales IT-Management
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.ozgcloud.formcycle;

public class SystemPropertiesProvider {

	public String getHttpsProxyHost() {
		return System.getProperty(ProxyConfig.KEY_HTTPS_PROXY_HOST);
	}

	public String getHttpsProxyPort() {
		return System.getProperty(ProxyConfig.KEY_HTTPS_PROXY_PORT);
	}

	public String getHttpsProxyUser() {
		return System.getProperty(ProxyConfig.KEY_HTTPS_PROXY_USER);
	}

	public String getHttpsProxyPassword() {
		return System.getProperty(ProxyConfig.KEY_HTTPS_PROXY_PASSWORD);
	}

	public String getHttpProxyHost() {
		return System.getProperty(ProxyConfig.KEY_HTTP_PROXY_HOST);
	}

	public String getHttpProxyPort() {
		return System.getProperty(ProxyConfig.KEY_HTTP_PROXY_PORT);
	}

	public String getHttpProxyUser() {
		return System.getProperty(ProxyConfig.KEY_HTTP_PROXY_USER);
	}

	public String getHttpProxyPassword() {
		return System.getProperty(ProxyConfig.KEY_HTTP_PROXY_PASSWORD);
	}
}
